Get the results of the stock on hand report as an xlsx file

Body·
application/json
  • attributeDescription
    Type: string | null

    The product attribute description to filter by

  • batch
    Type: string | null

    The product batch to filter by

  • bestBeforeDate
    Type: string | nullFormat: date

    The product best before date to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • customDateTime
    Type: string | nullFormat: date

    The custom date and time the report should be run for

  • expiryDate
    Type: string | nullFormat: date

    The product expiry date to filter by

  • includeCriticalStockOnly
    Type: boolean

    If the report should only include critical stock

  • includeSerials
    Type: boolean

    If the report should include serials

  • packagingDate
    Type: string | nullFormat: date

    The product packaging date to filter by

  • partnerProductId
    Type: string | nullFormat: uuid

    The product to filter by

  • productAttributeId
    Type: string | nullFormat: uuid

    The product attribute to filter by

  • productionDate
    Type: string | nullFormat: date

    The product production date to filter by

Responses
  • 200

    OK

Request Example for post/v1/reports/stock-on-hand/xlsx
curl https://api.consignlyhq.com/v1/reports/stock-on-hand/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "reportTime": "enum (Now = 1, Custom = 2)",
  "customDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "clientPartnerId": null,
  "warehouseId": null,
  "partnerProductId": null,
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)",
  "includeSerials": true,
  "includeCriticalStockOnly": true,
  "productAttributeId": null,
  "attributeDescription": null
}'
No Body